---

 25-akpm/include/linux/cpumask.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/linux/cpumask.h~make-for_each_cpu-iterator-more-friendly-fix-fix include/linux/cpumask.h
--- 25/include/linux/cpumask.h~make-for_each_cpu-iterator-more-friendly-fix-fix	Sat Jan 10 02:15:29 2004
+++ 25-akpm/include/linux/cpumask.h	Sat Jan 10 02:16:02 2004
@@ -14,10 +14,10 @@ extern cpumask_t cpu_possible_map;
 #define cpu_online(cpu)			cpu_isset(cpu, cpu_online_map)
 #define cpu_possible(cpu)		cpu_isset(cpu, cpu_possible_map)
 
-#define for_each_cpu_mask(cpu, mask)			\
-	for (cpu = first_cpu_const(mask);		\
-		cpu < NR_CPUS;				\
-		cpu = next_cpu_const(cpu, mask))
+#define for_each_cpu_mask(cpu, mask)					\
+	for (cpu = first_cpu_const(mk_cpumask_const(mask));		\
+		cpu < NR_CPUS;						\
+		cpu = next_cpu_const(cpu, mk_cpumask_const(mask)))
 
 #define for_each_cpu(cpu) for_each_cpu_mask(cpu, cpu_possible_map)
 #define for_each_online_cpu(cpu) for_each_cpu_mask(cpu, cpu_online_map)

_
